/**
 * @file
 * Javascript for editing uw_ct_service.
 */

(function ($, Drupal, drupalSettings) {

  'use strict';

  Drupal.behaviors.uw_ct_service_edit = {
    attach: function (context, drupalSettings) {

      // Marker at 0,0 means it is blank. Center the map on UW main campus.
      $(document).on('geofieldMapInit', function (e, mapid) {
        // Field containing the service location.
        let service_location_mapid = 'map-edit-field-uw-service-location-coord-0-value';
        if (mapid === service_location_mapid && drupalSettings['geofield_map'][mapid].lat === 0 && drupalSettings['geofield_map'][mapid].lng === 0) {
          // Get coordinates of the center of UW main campus.
          let position = {lat: 43.471, lng: -80.542};
          // Center the map.
          Drupal.geoFieldMap.mapSetCenter(mapid, position);
        }
      });
    }
  }

})(jQuery, Drupal, drupalSettings);
